/* ***** BEGIN LICENSE BLOCK *****
 * Version: MPL 1.1/GPL 2.0/LGPL 2.1
 *
 * The contents of this file are subject to the Mozilla Public License Version
 * 1.1 (the "License"); you may not use this file except in compliance with
 * the License. You may obtain a copy of the License at
 * http://www.mozilla.org/MPL/
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied. See the License
 * for the specific language governing rights and limitations under the
 * License.
 *
 * Code by http://www.adamgotterer.com/2007/12/06/firefox-extension-preference-handeling/
 *
 * ***** END LICENSE BLOCK ***** */

Preferences = {
	initialize: function() {
		this.prefs = Components.classes['@mozilla.org/preferences-service;1']
		.getService(Components.interfaces.nsIPrefService)
		.getBranch('extensions.errorzillamod@jaybaldwin.');
		
		this.prefs.QueryInterface(Components.interfaces.nsIPrefBranch2);
	},
	 
	getPref: function(name) {
		var type = this.prefs.getPrefType(name);
		
		if (type == this.prefs.PREF_STRING)
			return this.prefs.getCharPref(name);
		else if (type == this.prefs.PREF_INT)
			return this.prefs.getIntPref(name);
		else if (type == this.prefs.PREF_BOOL)
			return this.prefs.getBoolPref(name);
	},
	 
	setPref: function(name, value) {
		var type = this.prefs.getPrefType(name);
		
		if(type == 0) {
			if(typeof(value) == 'number')
				type = 64;
			else if(typeof(value) == 'string')
				type = 32;
			else if(typeof(value) == 'boolean')
				type = 128;
		}
		
		if (type == this.prefs.PREF_STRING)
			this.prefs.setCharPref(name, value);
		else if (type == this.prefs.PREF_INT)
			this.prefs.setIntPref(name, value);
		else if (type == this.prefs.PREF_BOOL)
			this.prefs.setBoolPref(name, value);
	}
};

function fncPingGetURL()
{
	//netscape.security.PrivilegeManager.enablePrivilege("UniversalPreferencesRead");
	
	Preferences.initialize();
	
	var strValue = Preferences.getPref('ping');
	
	return strValue;
	//return strPingURL;
}

function fncTest()
{

	var oRequest = new XMLHttpRequest();
	//var sURL  = "http://"+self.location.hostname+"/faq/requested_file.htm";
	var sURL = "resource://errorzillamod/ping.txt";
	
	oRequest.open("GET",sURL,false);
	oRequest.setRequestHeader("User-Agent",navigator.userAgent);
	oRequest.send(null)
	
	if (oRequest.status==200) alert(oRequest.responseText);
	else alert("Error executing XMLHttpRequest call!");

}